@PublicApi
public interface CustomerRequestQuery
CustomerRequest which a user has access to.
The following are examples to construct common queries:
// Query of customer requests where the executing user is the creator
CustomerRequestQuery query = customerRequestService.newQueryBuilder().requestStatus(OWNED_REQUESTS).build();
// Query of open customer requests under a Service Desk
CustomerRequestQuery query = customerRequestService.newQueryBuilder().requestOwnership(OPEN_REQUESTS).serviceDesk(serviceDeskId).build();
// Identical query of a customer request
CustomerRequestQuery query = customerRequestService.newQueryBuilder().issue(requestId).build();
| Modifier and Type | Interface and Description |
|---|---|
static interface |
CustomerRequestQuery.Builder
Builder to construct the
CustomerRequestQuery. |
static class |
CustomerRequestQuery.REQUEST_OWNERSHIP |
static class |
CustomerRequestQuery.REQUEST_STATUS |
| Modifier and Type | Method and Description |
|---|---|
Optional<Long> |
issue()
Identical retrieval the
CustomerRequest backing by this Issue. |
LimitedPagedRequest |
pagedRequest()
To request a page of
CustomerRequest |
Optional<Boolean> |
requestOverrideSecurity()
Use this
requestOverrideSecurity() in combination with issue()
to retrieve a CustomerRequest without checking the permission of the user executing this request |
Optional<CustomerRequestQuery.REQUEST_OWNERSHIP> |
requestOwnership()
Limited result customer requests to those which are raised by executing user, or requests he participated in, or both
|
Optional<CustomerRequestQuery.REQUEST_STATUS> |
requestStatus()
Limit result customer requests to those are open, closed, or both
|
Optional<Integer> |
requestType()
Use this
requestType() in combination with serviceDesk()
to narrow the query to the CustomerRequest's that belong to a RequestType |
Optional<String> |
searchTerm()
Filter a customer request on its
Issue's Summary |
Optional<Integer> |
serviceDesk()
Narrows the query to the
CustomerRequest's that belong to a ServiceDesk |
Optional<CustomerRequestQuery.REQUEST_OWNERSHIP> requestOwnership()
Optional<CustomerRequestQuery.REQUEST_STATUS> requestStatus()
Optional<Integer> serviceDesk()
CustomerRequest's that belong to a ServiceDeskOptional<Integer> requestType()
requestType() in combination with serviceDesk()
to narrow the query to the CustomerRequest's that belong to a RequestTypeOptional<Long> issue()
CustomerRequest backing by this Issue.
On provided, this will take precedence over other query parameters.Optional<Boolean> requestOverrideSecurity()
requestOverrideSecurity() in combination with issue()
to retrieve a CustomerRequest without checking the permission of the user executing this requestLimitedPagedRequest pagedRequest()
CustomerRequestCopyright © 2018 Atlassian. All rights reserved.